MagickCore: resource_.h File Reference

# resource_.h File Reference

Go to the source code of this file.

## Defines
#define | MagickResourceInfinity MagickULLConstant(~0)
## Enumerations
enum | ResourceType { UndefinedResource, AreaResource, DiskResource, FileResource, MapResource, MemoryResource }
## Functions
MagickExport int | AcquireUniqueFileResource (char *)
MagickExport MagickBooleanType | AcquireMagickResource (const ResourceType, const MagickSizeType)
MagickExport MagickBooleanType | RelinquishUniqueFileResource (const char *)
MagickExport MagickBooleanType | ListMagickResourceInfo (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | SetMagickResourceLimit (const ResourceType, const MagickSizeType)
MagickExport MagickSizeType | GetMagickResource (const ResourceType)
MagickExport MagickSizeType | GetMagickResourceLimit (const ResourceType)
MagickExport void | AsynchronousDestroyMagickResources (void)
MagickExport void | DestroyMagickResources (void)
MagickExport void | InitializeMagickResources (void)
MagickExport void | RelinquishMagickResource (const ResourceType, const MagickSizeType)

## Define Documentation

#define MagickResourceInfinity MagickULLConstant(~0)

## Enumeration Type Documentation

enum ResourceType

Enumerator:

  UndefinedResource |
  AreaResource |
  DiskResource |
  FileResource |
  MapResource |
  MemoryResource |

## Function Documentation

MagickExport MagickBooleanType AcquireMagickResource | ( | const | ResourceType,
|  | const | MagickSizeType |
| ) |  |  |

MagickExport int AcquireUniqueFileResource | ( | char * |  | ) |

MagickExport void AsynchronousDestroyMagickResources | ( | void |  | ) |

MagickExport void DestroyMagickResources | ( | void |  | ) |

MagickExport MagickSizeType GetMagickResource | ( | const | ResourceType | ) |

MagickExport MagickSizeType GetMagickResourceLimit | ( | const | ResourceType | ) |

MagickExport void InitializeMagickResources | ( | void |  | ) |

MagickExport MagickBooleanType ListMagickResourceInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void RelinquishMagickResource | ( | const | ResourceType,
|  | const | MagickSizeType |
| ) |  |  |

MagickExport MagickBooleanType RelinquishUniqueFileResource | ( | const char * |  | ) |

MagickExport MagickBooleanType SetMagickResourceLimit | ( | const | ResourceType,
|  | const | MagickSizeType |
| ) |  |  |